Cryptonyk API Documentation

Interactive API explorer for simulated trading, options, and market data

Quick Start

1. Get an API Key

Sign up and generate your API key from the dashboard

2. Make Your First Request

Start with fetching the current price of BTC-USD

3. Explore Endpoints

Browse our comprehensive OpenAPI documentation below

Code Examples

// Get current price
const response = await fetch('https://api.cryptonyk.com/price/BTC-USD');
const data = await response.json();
console.log(data.price);

API Endpoints

Market Data

  • GET /price/:symbol - Current price
  • GET /candles/:symbol - OHLCV candles
  • GET /orderbook/:symbol - Order book depth
  • GET /stream - Real-time price stream (SSE)

Simulated Trading

  • POST /paper/orders - Place order
  • GET /paper/orders - List orders
  • GET /paper/positions - View positions
  • GET /paper/fills - Order fills

Options Trading

  • GET /options/chain - Options chain
  • GET /options/quote - Option quote
  • POST /options/orders - Place option order
  • GET /options/positions - Options positions
  • POST /options/exercise - Exercise option
  • GET /options/greeks - Greeks exposure

Advanced Features

  • POST /algos/twap - TWAP execution
  • GET /recurring-buys - DCA strategies
  • GET /social/stats - Copy trading
  • GET /tax/form8949 - Tax reports

OpenAPI Specifications

Download the OpenAPI specs to use with tools like Postman, Insomnia, or code generators

Authentication

Cryptonyk API uses API keys for authentication. Include your API key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Rate Limits

TierRequests/MinuteRequests/Hour
Free601,000
Pro30010,000
EnterpriseUnlimitedUnlimited

Official SDKs

JavaScript / TypeScript

npm install @cryptonyk/sdk

Python

pip install cryptonyk

Go

go get github.com/cryptonyk/sdk-go

Rust

cargo add cryptonyk